Last Comment Bug 290476 - js_AllocStack doesn't clear space it returns
: js_AllocStack doesn't clear space it returns
Status: RESOLVED FIXED
: fixed-aviary1.0.4, fixed1.7.8, js1.5
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: mozilla1.8beta2
Assigned To: general
:
Mentors:
https://bugzilla.mozilla.org/show_bug...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-15 08:47 PDT by Brendan Eich [:brendan]
Modified: 2005-07-28 01:03 PDT (History)
4 users (show)
bob: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1004 bytes, patch)
2005-04-15 08:53 PDT, Brendan Eich [:brendan]
shaver: review+
dbaron: approval‑aviary1.0.3-
chase: approval‑aviary1.0.5+
dbaron: approval1.7.7-
chase: approval1.7.8+
brendan: approval1.8b2+
Details | Diff | Splinter Review

Description Brendan Eich [:brendan] 2005-04-15 08:47:21 PDT
Thus callers who alloc GC-things and push them one by one may cause a last-ditch
GC or three that scan an uninitialized or partly initialized stack segment. 
Patch so fast it will make your heads spin!

/be
Comment 1 Brendan Eich [:brendan] 2005-04-15 08:53:07 PDT
Created attachment 180802 [details] [diff] [review]
fix

This fixes a recent "regression" where the patch I advised jst to make to fix
an old windowwatcher GC safety bug counted on this fix, without knowing it.

/be
Comment 2 Mike Shaver (:shaver -- probably not reading bugmail closely) 2005-04-15 08:54:41 PDT
Comment on attachment 180802 [details] [diff] [review]
fix

r=shaver
Comment 3 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2005-04-15 08:56:55 PDT
See also bug 289949 comment 26.
Comment 4 Brendan Eich [:brendan] 2005-04-15 09:04:55 PDT
(In reply to comment #3)
> See also bug 289949 comment 26.

which I made this bug's URL ;-).

Fixed on trunk.  Chase, if you have reason to respin any branch builds, this is
a classic one-line fix that you should take.

/be
Comment 5 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2005-04-15 22:10:19 PDT
Comment on attachment 180802 [details] [diff] [review]
fix

missed 1.0.3 / 1.7.7; should try for 1.0.4 / 1.7.8
Comment 6 Chase Phillips 2005-04-15 22:18:21 PDT
Comment on attachment 180802 [details] [diff] [review]
fix

a=chase for branches

Please land this asap.
Comment 7 Brendan Eich [:brendan] 2005-04-21 14:29:59 PDT
dbaron, do you want to approve for the branches?

/be

Note You need to log in before you can comment on or make changes to this bug.